Subject: [bug#53414] [PATCH] update Node LTS to 16.13.2

From: Maxime Devos <[email-masked]>
Date: Fri, 25 Feb 2022 18:22:22 +0100

Pierre Langlois schreef op vr 25-02-2022 om 16:31 [+0000]:
> If I may shime in, I agree that it's best to have fewer versions of
> node
> for Guix's own node packages, however for end-users I think it's a
> good
> idea to provide multiple versions they can install.

I'm not opposed to including multiple LTS versions, as long as they
are supported upstream, there actual users of the old LTS versions
and there is some reason to use older versions (perhaps there are
a few incompatibilities?).

However, I would prefer the latest version to be standard version
(with variable name node-lts) so node packages in Guix use the latest
LTS by default.  Something like

(define-public node-lts
  (package
    (inherit node)
    (version "16.13.2")
    [...]))

;; Older LTS versions, still maintained upstream and used (see <...>).
;; There are some incompatibilities between [...], so allow users
;; to choose which node to use.
(define-public node-14
  (package
    (inherit node-lts)
    (version "14.[...]")
    [...]))

Greetings,
Maxime.